为什么 Java、Silverlight、Adobe Acrobat 和其他一些插件不再工作了?

Firefox 对 Adobe Flash 之外的 NPAPI 插件 的支持会在 2017 年 3 月——Firefox 版本 52 发布时——终止,Firefox 版本 52 起,对 Adobe Flash 之外的 NPAPI 插件 的支持会终止, 包括 Java、Microsoft Silverlight 和 Adobe Acrobat 之内的一些插件不会被加载。请参看 此兼容性文档 来了解详情。

在过去几年,Firefox 实现了许多 Web API,这样网站不需要插件也可以完成同样的功能,所以你的浏览体验很可能没有明显的变化。

Firefox 为什么这样做?

许多网站都不再是静态网页,而是视频、音频和游戏。NPAPI 插件,特别是 Flash,曾帮助实现这些可交互页面,但是它们也使浏览变得更慢、更不安全和更容易崩溃。

在过去几年,Firefox 努力来替代这些插件,它们叫做 Web API。它们可以实现这些插件的功能而不破坏网络的安全、稳定和性能。

此前,Web API 还没有完全就绪,所以 Firefox 有一个手动加载插件的过度期(点击激活)。

现在,它们就绪了,许多网站也接收了它们。绝大多数常用网站可以不使用老的、非安全的插件来访问。Firefox 和其他现代浏览器,比如 Google Chrome 和 Microsoft Edge 一样不再支持 NPAPI 插件。

我遇到问题

如果对此你还没准备好,Firefox ESR(延长支持发布)52 版还会一直支持此类插件到 2018 年初。请点击 此处 下载 Firefox ESR。

重要: Windows 64位版的 Firefox 52 ESR 仅支持 Adobe Flash 和 Microsoft Silverlight 插件。如果你需要 Java 或其他插件的支持,请选择下载 Windows (32位)。

默认情况下,Firefox 52 ESR 与电脑中安装的其它版本的 Firefox 共用一个用户配置文件。如果你的电脑已经安装了 Firefox 55 或更高版本,再安装 Firefox 52 ESR,可能会引起一些问题,例如:弹出错误提示、Firefox 功能异常或网页错误等。因此,应该为 Firefox 52 ESR 创建新的用户配置文件,或者在安装 Firefox 52 ESR 后刷新 Firefox

这篇文章对您有帮助吗? 请稍候...

这些人帮助撰写了这篇文章:f1m15, wxie。你也可以提供帮助,来看看该怎么做